aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2020-08-28 00:58:08 +0200
committerThomas Deutschmann <whissi@gentoo.org>2020-08-28 15:45:37 +0200
commit684e165fbf91e848a73127cdd7e8be96b6bc0eb3 (patch)
tree5c0e41c2ae29f80489c61cef5ca9f8d44152fac3 /gen_initramfs.sh
parentdefaults/initrd.scripts: log_msg(): Leave function early in case log file can... (diff)
downloadgenkernel-684e165fbf91e848a73127cdd7e8be96b6bc0eb3.tar.gz
genkernel-684e165fbf91e848a73127cdd7e8be96b6bc0eb3.tar.bz2
genkernel-684e165fbf91e848a73127cdd7e8be96b6bc0eb3.zip
gen_initramfs.sh: append_base_layout(): move /run/utmp to /var/run/utmp
Will fix syslogin_perform_logout: logout(pts/0) returned an error: No such file or directory error logged by dropbear. Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Diffstat (limited to 'gen_initramfs.sh')
-rwxr-xr-xgen_initramfs.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/gen_initramfs.sh b/gen_initramfs.sh
index 5bee813..875068c 100755
--- a/gen_initramfs.sh
+++ b/gen_initramfs.sh
@@ -429,8 +429,8 @@ append_base_layout() {
dd if=/dev/zero of="${TDIR}/var/log/wtmp" bs=1 count=0 seek=0 &>/dev/null \
|| die "Failed to create '${TDIR}/var/log/wtmp'!"
- dd if=/dev/zero of="${TDIR}/run/utmp" bs=1 count=0 seek=0 &>/dev/null \
- || die "Failed to create '${TDIR}/run/utmp'!"
+ dd if=/dev/zero of="${TDIR}/var/run/utmp" bs=1 count=0 seek=0 &>/dev/null \
+ || die "Failed to create '${TDIR}/var/run/utmp'!"
cd "${TDIR}" || gen_die "Failed to chdir to '${TDIR}'!"
log_future_cpio_content